Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.monitoring.core.v2
Class SubResultsType

    java.lang.Object
      be.fgov.ehealth.monitoring.core.v2.SubResultsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:24+02:00",
               comments="JAXB RI v2.2.11")
    public class SubResultsType

extends Object
implements Serializable

Contains subresults of monitoring on a service.

Java class for SubResultsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubResultsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SubDetails" type="{urn:be:fgov:ehealth:monitoring:core:v2}DetailsType"/>
             <element name="SubErrorDetail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="SubErrorStack" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SubResultsType()`

Method Summary
`DetailsType` | `getSubDetails()` Gets the value of the subDetails property.
`String` | `getSubErrorDetail()` Gets the value of the subErrorDetail property.
`String` | `getSubErrorStack()` Gets the value of the subErrorStack property.
`void` | `setSubDetails(DetailsType value)` Sets the value of the subDetails property.
`void` | `setSubErrorDetail(String value)` Sets the value of the subErrorDetail property.
`void` | `setSubErrorStack(String value)` Sets the value of the subErrorStack property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubResultsType

    public SubResultsType()

Method Detail

### getSubDetails

    public DetailsType getSubDetails()

  Gets the value of the subDetails property.

  Returns:
    possible object is `DetailsType`

### setSubDetails

    public void setSubDetails(DetailsType value)

  Sets the value of the subDetails property.

  Parameters:
    `value` - allowed object is `DetailsType`

### getSubErrorDetail

    public String getSubErrorDetail()

  Gets the value of the subErrorDetail property.

  Returns:
    possible object is `String`

### setSubErrorDetail

    public void setSubErrorDetail(String value)

  Sets the value of the subErrorDetail property.

  Parameters:
    `value` - allowed object is `String`

### getSubErrorStack

    public String getSubErrorStack()

  Gets the value of the subErrorStack property.

  Returns:
    possible object is `String`

### setSubErrorStack

    public void setSubErrorStack(String value)

  Sets the value of the subErrorStack property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.